## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ManagedBeanExtensionTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ExtensionTypeImpl
              org.eclipse.jst.jsf.facesconfig.emf.impl.ManagedBeanExtensionTypeImpl

All Implemented Interfaces:
  ExtensionType, ManagedBeanExtensionType

    public class ManagedBeanExtensionTypeImpl

extends ExtensionTypeImpl
implements ManagedBeanExtensionType

An implementation of the model object 'Managed Bean Extension Type'.

Field Summary
`static java.lang.String` `copyright`

Method Summary

Methods inherited from class org.eclipse.jst.jsf.facesconfig.emf.impl.ExtensionTypeImpl
`eGet, eIsSet, eSet, eUnset, getChildNodes, getId, getTextContent, setId, setTextContent, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.facesconfig.emf.ExtensionType
`getChildNodes, getId, getTextContent, setId, setTextContent`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values